import { Express, Request, Response } from "express";
import { LogLevelDesc, IAsyncProvider } from "@hyperledger/cactus-common";
import { IWebServiceEndpoint, IExpressRequestHandler, IEndpointAuthzOptions } from "@hyperledger/cactus-core-api";
import { PluginLedgerConnectorCorda } from "../plugin-ledger-connector-corda";
export interface IInvokeContractEndpointV1Options {
    logLevel?: LogLevelDesc;
    connector: PluginLedgerConnectorCorda;
}
export declare class InvokeContractEndpointV1 implements IWebServiceEndpoint {
    readonly opts: IInvokeContractEndpointV1Options;
    private readonly log;
    constructor(opts: IInvokeContractEndpointV1Options);
    getAuthorizationOptionsProvider(): IAsyncProvider<IEndpointAuthzOptions>;
    getExpressRequestHandler(): IExpressRequestHandler;
    getPath(): string;
    getVerbLowerCase(): string;
    registerExpress(expressApp: Express): Promise<IWebServiceEndpoint>;
    handleRequest(req: Request, res: Response): Promise<void>;
}
